
void AD9833_Control(uint16_t control){
  control = control & 0x3FFF;           // Mask off upper 2 bits so we are writing to control register
  control = control | 0x2000;           // Ensure the B28 control register bit is set
  AD9833_Write(control);
}

void AD9833_Freq(double freq){
  uint32_t frequency = (uint32_t)(((double) AD9833_2POW28 / (double)AD9833_F_MCLK * freq));
  AD9833_Write(0x4000 | (0x3FFF & (uint16_t)(frequency)));
  AD9833_Write(0x4000 | (0x3FFF & (uint16_t)(frequency >> 14)));
}

void AD9833_Phase(uint32_t phase){
  AD9833_Write(0xC000 | (0x1FFF & (uint16_t)(phase)));
  AD9833_Write(0xE000 | (0x1FFF & (uint16_t)(phase>>12)));
}

void AD9833_Write(uint16_t value){
  SPI.transfer(highByte(value));
  SPI.transfer(lowByte(value));
}


void SetVFO(){
  digitalWrite(FSYNC, LOW);             // Set FSYNC low  
  AD9833_Freq( (freqbfo + freq)+vfocorr ); 
  AD9833_Phase(0);
  digitalWrite(FSYNC, HIGH);            // Set FSYNC high  
}

void InitVFO(){
  SPI.setDataMode(SPI_MODE2); SPI.begin();
  digitalWrite(FSYNC, LOW); 
  delay(10);
  AD9833_Control(0x100);                // Reset
  AD9833_Freq( (freqbfo + freq)+vfocorr ); 
  AD9833_Phase(0);
  AD9833_Control(0x0000);               // sine
  digitalWrite(FSYNC, HIGH); 
  
}



